Bug 1247445 - [upgrade] After in-service software upgrade from RHGS 2.1 to RHGS 3.1, self-heal daemon is not coming online
[upgrade] After in-service software upgrade from RHGS 2.1 to RHGS 3.1, self-h...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
3.1
x86_64 Linux
unspecified Severity urgent
: ---
: RHGS 3.1.1
Assigned To: Atin Mukherjee
Byreddy
GlusterD
: ZStream
Depends On: 1242882
Blocks: 1216951 1251815
  Show dependency treegraph
 
Reported: 2015-07-27 23:03 EDT by SATHEESARAN
Modified: 2015-10-05 03:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.7.1-12
Doc Type: Bug Fix
Doc Text:
Previously, when a cluster had multiple volumes where the first volume in the volume list is not a replicated volume, and any of the other volumes is a replicated volume, after a reboot of a node, shd does not start. With this fix, shd will start in this scenario.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:21:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport from dhcp37-183 (7.49 MB, application/x-xz)
2015-07-27 23:17 EDT, SATHEESARAN
no flags Details

  None (edit)
Description SATHEESARAN 2015-07-27 23:03:59 EDT
Description
-----------
Performed a in-service software upgrade from RHGS 2.1 to RHGS 3.1
After upgrade, self-heal daemon is not coming up.

Version
--------
RHGS 2.1 Update6
RHGS 3.1 (RC4)

How reproducible
-----------------
3/3 - always

Steps to reproduce
-------------------
1. Install RHGS 2.1 Update 6 ( glusterfs-3.4.0.72-1.el6rhs )
2. Create a replicate volume, distributed replicate volume and start them
3. Fuse mount the volumes and add few files
4. Migrate from RHN Classic to subscription manager (RHSM)
5. Use CDN stage and do yum In-service software upgrade to RHGS 3.1
6. After update, reboot the machine
7. Perform self-heal

Actual Result
--------------
Self-heal daemon is not running on the node which was upgraded from RHGS 2.1 to RHGS 3.1

Expected Result
---------------
Self-daemon should be up and running, post upgrade and reboot
Comment 2 SATHEESARAN 2015-07-27 23:17:34 EDT
Created attachment 1056848 [details]
sosreport from dhcp37-183
Comment 7 Atin Mukherjee 2015-08-12 23:52:10 EDT
Downstream patch https://code.engineering.redhat.com/gerrit/#/c/54970/ has been merged now, hence moving the state to 'Modified'
Comment 10 Byreddy 2015-08-28 04:41:33 EDT
Verified this Bug using the RHGS version - "glusterfs-3.7.1-13".

Step used to verify it:
~~~~~~~~~~~~~~~~~~~~~~
1. Created & started Distributed and then replicated volumes using cluster of two nodes.
            [root@node3 ~]# gluster v list
            Dis
            replica1
            [root@node3 ~]# 

2. Rebooted the nodes
3. After reboot observed that *shd* was running successfully without any problem.


Fix is working fine,  moving this bug to next state.
Comment 12 errata-xmlrpc 2015-10-05 03:21:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.